<?php


namespace AutoAdmin\Bundle\BrickBuilder\Model\Api;


class BrickSort
{
    protected mixed $brickId;
    protected mixed $parentBrickId;
    protected mixed $eventType;
    protected mixed $index;

    public function getBrickId(): mixed
    {
        return $this->brickId;
    }

    public function setBrickId(mixed $brickId): void
    {
        $this->brickId = $brickId;
    }

    public function getParentBrickId(): mixed
    {
        return $this->parentBrickId;
    }

    public function setParentBrickId(mixed $parentBrickId): void
    {
        $this->parentBrickId = $parentBrickId;
    }

    public function getEventType(): mixed
    {
        return $this->eventType;
    }

    public function setEventType(mixed $eventType): void
    {
        $this->eventType = $eventType;
    }

    public function getIndex(): mixed
    {
        return $this->index;
    }

    public function setIndex(mixed $index): void
    {
        $this->index = $index;
    }
}